Bug 95072 - Remove Look and Feel options from the Advanced options panel
Remove Look and Feel options from the Advanced options panel
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@platform
: PLAN, UI
Depends on:
Blocks: 90522
  Show dependency treegraph
 
Reported: 2007-02-09 13:28 UTC by Josef Pavlicek
Modified: 2008-12-22 11:45 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Pavlicek 2007-02-09 13:28:36 UTC
Hi,
according to the ISSUE http://www.netbeans.org/issues/show_bug.cgi?id=90522
I started to consolidate the option settings for these modules:

org.netbeans.core               
org.netbeans.core.ui            
org.netbeans.core.windows        
org.netbeans.modules.autoupdate
org.netbeans.modules.db
org.netbeans.modules.db.sqleditor
org.netbeans.modules.derby
org.netbeans.modules.diff
org.netbeans.modules.editor
org.netbeans.modules.html.editor
org.netbeans.modules.java.editor
org.netbeans.modules.editor.options
org.netbeans.modules.form
org.netbeans.modules.i18n
org.netbeans.modules.j2ee.sun.appsrv81
org.netbeans.modules.junit
org.netbeans.modules.pdf
org.netbeans.modules.diff
org.netbeans.modules.tasklist.docscan
org.netbeans.modules.suggestions_framework
org.netbeans.modules.web.core
org.netbeans.modules.xml.core
org.netbeans.modules.xml.text
org.openide.text

The main idea is to remove all Advanced Options settings which we have in
NetBeans now. The necessary options should be placed into the new panel placed
in the Miscellaneous. For this is necessary  to prepare some short description
of new  options  (in the ideal case to do UI Specification). I will be
consolidate UI design for you together. Please, let me know if you are able to
do it and try to tell me the time frame in which we can suppose be ready with UI
spec.

Thanks for cooperation
Josef Pavlicek
Software eXperience Desing Team
Comment 1 jrojcek 2008-05-15 09:00:41 UTC
I'm trying to clarify what's the purpose of this issue. I guess it's about removing the Look and Feel options from Advanced options panel.
Comment 2 Antonin Nebuzelsky 2008-06-26 12:16:05 UTC
Look and Feel (/Actions, /Menu Bar, /Toolbars) options will be removed from Advanced options panel now.
Comment 3 Jiri Skrivanek 2008-06-30 13:56:07 UTC
Fixed: 1355d788128d.
Comment 4 Quality Engineering 2008-07-02 15:41:22 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #295 build
Changeset: http://hg.netbeans.org/main/rev/1355d788128d
User: Jiri Skrivanek <jskrivanek@netbeans.org>
Log: #95072 - removed Look and Feel node from advanced options.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo